#!/bin/sh

export VFORM

BACKLINK=$HTTP_REFERER
ARGC=1
. ./getargs.sh
. ./cgiComFuncs.sh
. ./cgiSysFuncs.sh
. ./cgiDevFuncs.sh

SCAN=`ascu_db_trans -db Site.db -f 12 | cut -f 2`
if [ -z "$action" ]; then
	RESULT=""
fi

./header.sh "Add Device Manually"

cat <<EOF
<table border=0 cellspacing=0 cellpadding=0 width=680 align=center summary="">
	<tr>
		<td valign=top>
			<table border=0 cellspacing=0 cellpadding=4 width=100 height=480 summary="Main menu">
				<tr>
					<td bgcolor=#6699CC nowrap><a href="/cgi-bin/index.cgi" class=menu>Main Page</a></td>
				</tr>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="/cgi-bin/oldindex.cgi" class=menu>Old Main Page</a></td>
				</tr>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/status.cgi?subset=Device">&#149;&nbsp;Antenna Devices</A>
					</TD>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="finddev.cgi" class=menu>&nbsp;&nbsp;&#150;&nbsp;Find Devices</a></td>
				</tr>
				<tr>
					<td bgcolor=#012fcb nowrap><a href="adddev.cgi" class=menu>&nbsp;&nbsp;&#150;&nbsp;Add Device</a></td>
				</tr>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/system.cgi">&#149;&nbsp;Controller</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC height="100%">
					<PRE> </PRE>
					</TD>
				</TR>
			</table>
		</td>
		<td align=center width=12></td>
		<td valign=top align=left>
			<hr>
			<table border=0 width=530 cellspacing=0 cellpadding=0 summary="">
				<tr>
					<td><H3>Manual Device Configuration</H3>
                    Use this section to add a device manually if you know the vendor ID and
                    the serial number.
                    </td>
				</tr>
			</table>
EOF

if [ "$action" = "Configure+Device" ]; then
	cat <<-EOF
			<table border=2 cellspacing=0 cellpadding=4>
			<tr>
				<td><H4>Device</H4></td><td><H4>Command</H4></td><td colspan=10><H4>Result</H4></td>
			</tr>
			`/usr/bin/aisg_command -l -b "<tr><td>" -e "</td></tr>" -s "</td><td>"`
			</table>
	EOF
else
	cat <<-EOF
			<form  action="/cgi-bin/adddev.cgi" method=GET>
				<table border=0 cellspacing=0 cellpadding=4>
					<tr>
						<td align=center>Device Name: </td>
						<td colspan=3><input type="text" name=handle size="32" value=""></td>
					</tr>
					<tr>
						<td align=center>Vendor: </td>
						<td><input type="text" name=vendor size="2" value=""></td>
						<td align=center>Serial#: </td>
						<td><input type="text" name=serial size="17" value=""></td>
						<td align=center>AISG version: </td>
						<td><select name=aisg>
                            <option VALUE="0">AISG1.0</option>
                            <option VALUE="1">AISG1.1</option>
                        </td>
					</tr>
					<tr>
						<td><input type=submit name="action" value="Configure Device" class=button style="width: 110px"> </td>
					</tr>
				</table>
			<input type=hidden name="command" value="1">
			<input type=hidden name="name" value="255">
			</form>
	EOF
fi

cat <<EOF
		</td>
	</tr>
</table>
</body>
</html>
EOF
