#!/bin/sh

BACKLINK=$HTTP_REFERER
ARGC=1
. ../getargs.sh
. ../cgiComFuncs.sh

CYCLETEST="TRUE"

VFORM='function validateForm(form) { // validate form data
  if (!(boundsvalidation(form.tmin.value,100,32)))
  {
    alert("Tmin must be at least 32")
    form.tmin.focus()
    return false;
  }
  if (!(boundsvalidation(form.tmax.value,100,parseInt(form.tmin.value))))
  {
    alert("Tmax cannot be less than Tmin")
    form.tmin.focus()
    return false;
  }
  if (!(boundsvalidation(form.dwell.value,5000,25)))
  {
    alert("Dwell must be at least 25")
    form.dwell.focus()
    return false;
  }
  return true;
}'

export VFORM
../header.sh "Admin Menu"

cycletest()
{
if [ "$action" != "Test+Cycle" ]; then
	if [ -f /var/run/test.test ]; then
		test=`cat /var/run/test.test`
		test1=""
		test2=""
		test3=""
		if [ "$test" = 1 ]; then
			test1="selected"
		else
            if [ "$test" = 3 ]; then
                test3="selected"
            else
                test2="selected"
            fi
		fi
	fi
	if [ -f /var/run/test.dwell ]; then
		dwell=`cat /var/run/test.dwell`
	fi
	if [ -f /var/run/test.name ]; then
		name=`cat /var/run/test.name`
	fi
	if [ -f /var/run/test.tmax ]; then
		tmax=`cat /var/run/test.tmax`
	fi
	if [ -f /var/run/test.tmin ]; then
		tmin=`cat /var/run/test.tmin`
	fi
fi
cat <<-EOF
			<table border=0 cellspacing=0 cellpadding=4>
				<form  action="/cgi-bin/secure/admin.cgi" method=GET ONSUBMIT="return validateForm(this)">
				<tr>
					<td><input type=submit name ="action" value="Test Cycle" class=button style="width: 110px"></td>
					<td>
						<select name=name>
						<option value=0>All</option>
		EOF

    ascu_db_trans -db Handle.db -F '<option value=%d> %s </option>'
cat <<-EOF
						</select>
					</td>
					<td>Access <a href=/cgi-bin/fm.cgi?cat=/var/log/test>Test Logfile</a>
				</tr>
				<tr>
						<td></td>
						<td>Range:
							<select name=test>
							<option value=1 $test1>0 - 7</option>
							<option value=2 $test2>0 - 2.3 - 4.6 - 7</option>
							<option value=3 $test3>2 - 4 - 6 - 8</option>
							</select>
						</td>
						<td>Dwell:<input type=text name="dwell" size ="4" value=$dwell>sec</td>
				</tr>
				<tr>
						<td></td>
						<td>Tmax:<input type=text name="tmax" size ="2" value=$tmax>deg C</td>
						<td>Tmin:<input type=text name="tmin" size ="2" value=$tmin>deg C</td>
				</tr>
				</form>
				<form  action="/cgi-bin/secure/admin.cgi" method=GET">
				<tr>
					<td><input type=submit name ="action" value="Halt Test" class=button style="width: 110px"></td>
				</tr>
				<tr>
					<td><input type=submit name ="action" value="Delete Log" class=button style="width: 110px"></td>
				</tr>
				</form>
			</table>
			<hr>
		EOF
}
if [ -z "$dwell" ]; then
	dwell=120
fi

cat <<EOF
<table border=0 cellspacing=0 cellpadding=0 width=680 align=center summary="">
	<tr>
		<td valign=top>
			<table border=0 cellspacing=0 cellpadding=4 width=100 height=480 summary="Main menu">
				<tr>
					<td bgcolor=#6699CC nowrap><a href="/cgi-bin/index.cgi" class=menu>Main Page</a></td>
				</tr>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="/cgi-bin/oldindex.cgi" class=menu>Old Main Page</a></td>
				</tr>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/status.cgi?subset=Device">&#149;&nbsp;Antenna Devices/A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/system.cgi">&#149;&nbsp;Controller</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/system.cgi">&nbsp;&nbsp;&#150;&nbsp;Basic Configuration</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/service.cgi">&nbsp;&nbsp;&#150;&nbsp;Service Menu</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#012fcb noWrap>
						<A class=menu href="/cgi-bin/secure/admin.cgi">&nbsp;&nbsp;&#150;&nbsp;Admin Menu</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/secure/cron.cgi">&nbsp;&nbsp;&#151;&nbsp;Device Exercise</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC height="100%">
						<PRE> </PRE>
					</TD>
				</TR>
			</table>
		</td>
		<td align=center width=12></td>
		<td valign=top align=left>
			<table border=0 width=530 cellspacing=0 cellpadding=4>
				<tr>
					<td><H3>$UNIT Service</H3></td>
				</tr>
			</table>
			<hr>
EOF

cat <<-EOF
			<table border=0 cellspacing=0 cellpadding=4>
			<form  action="/cgi-bin/secure/admin.cgi" method=GET>
					<tr>
						<td><input type=submit name="action" value="Activity Log" class=button style="width: 110px"> </td>
						<td>
							<select name=name>
		EOF

    ascu_db_trans -db Handle.db -F '<option value=%d> %s </option>'
cat <<-EOF
							</select>
						</td>
					</tr>
				 <input type=hidden name="subset" value="Device">
				 <input type=hidden name="command" value="250">
			</form>
			</table>
			<hr>
		EOF

if [ "$CYCLETEST" = "TRUE" ]; then
	cycletest
fi

case $action in
	Activity+Log)
		cat <<-EOF
			<table border=0 cellspacing=0 cellpadding=0>
				<tr>
					<td><H3>AISG Command</H3></td>
				</tr>
			</table>
			<table border=2 cellspacing=0 cellpadding=4>
			<tr>
				<td><H4>Device</H4></td><td><H4>Command</H4></td><td colspan=10><H4>Result</H4></td>
			</tr>
			`/usr/bin/aisg_command -l -b "<tr><td>" -e "</td></tr>" -s "</td><td>"`
			</table>
		EOF
		;;
	Test+Cycle)
		echo $test > /var/run/test.test
		echo $dwell > /var/run/test.dwell
		echo $name > /var/run/test.name
		echo $tmax > /var/run/test.tmax
		echo $tmin > /var/run/test.tmin
		if [ -f /var/run/test.pid ]; then
			echo "Test already running - parameters updated"
		else
			echo "test.sh $test $dwell $name $tmax $tmin" >/var/run/runme
			echo "Test started"
		fi
		;;
	Halt+Test)
		if [ -f /var/run/test.pid ]; then
			kill -15 `cat /var/run/test.pid`
			rm /var/run/test.pid
			echo "Test halted"
		else
			echo "Test is not running"
		fi
		;;
	Delete+Log)
		if [ -f /var/log/test ]; then
			rm /var/log/test
			echo "Log deleted"
		fi
		;;
	esac

cat <<EOF
		</td>
	</tr>
</table>
</body>
</html>
EOF

