#!/bin/sh
. ./cgiComFuncs.sh
ARGC=1
. ./getargs.sh
NAME=`ascu_db_trans -db Handle.db -f $operAddr | cut -f 2`
#OPERATOR=`ascu_db_trans -db Opname.db -f $operNum | cut -f 2`
OPERATOR=$operName

cat <<EOF
Content-type: text/html
Expires: Wed, 21 Aug 1968 00:01:00 GMT

<html>
<head>
<title>Operator Assignment for $NAME</title>
<link rel=stylesheet href="/ascu.css" type="text/css">
</head>
<body>
<h3>Assignment Progress</h3>
EOF
if [ -z "$OPERATOR" ]; then
cat << EOF
  Unassigning device $NAME.<br>
EOF
else
cat << EOF
  Assigning $OPERATOR to $NAME.<br>
EOF
fi

    echo "$operAddr	$NAME	$OPERATOR">/tmp/name.txt
    ascu_db_trans -db Handle.db -f $operAddr -w "$operAddr	$NAME	$OPERATOR"
cat << EOF
<BR>Device assignment complete.

  <BR>&nbsp;<BR>
  <input type=button value="Close Window" onClick="window.close(this)" class=button style="width: 110px"><br>
  </body>
  </html>
EOF

