#!/bin/sh
. ./getargs.sh
. ./cgiComFuncs.sh
. ./cgiSysFuncs.sh
./header2.sh "Controller Configuration"

# START for password feature
. ./login.sh
LogInLogic
GetOperatorName
# END for password feature

cat <<EOF
<script language="Javascript">
function ChkSameFreqs()
{
   // disable matching subunit list when checkbox is unchecked, and vice-versa
   var state = document.sudata.tmaMatchGain.checked;

   if (state) document.getElementById("matchingSubunits").disabled = false;
   else document.getElementById("matchingSubunits").disabled = true;
}

function ValidateSetGain(form)
{
    var bResult = true;
    var maxGain = document.getElementById("22.1");
    var minGain = document.getElementById("23.1");
    var resGain = document.getElementById("24.1");
    var currentGain = document.sudata.gain;
    var nTemp;

    if (currentGain.value.length == 0)
    {
        alert("Must enter a valid New Gain value");
        bResult = false;
    }
    else 
    {
        if (parseFloat(currentGain.value) > parseFloat(maxGain.value))
        {
            alert("New Gain value too high, out of range.");
            bResult = false;
        }
        else if (parseFloat(currentGain.value) < parseFloat(minGain.value))
        {
            alert("New Gain value too low, out of range.");
            bResult = false;
        }
        else
        {
            nTemp = currentGain.value-minGain.value;
            if (resGain.value > 0)
            {
                if ((nTemp%resGain.value) != 0)
                {
                    bResult = false;
                }
            }
            else
            {
                if (nTemp<0)
                {
                    bResult = false;
                }                
            }
            if (!bResult)
            {
                alert("New Gain value "+currentGain.value+" is invalid, enter a valid value.");
            }
        }
    }

    return bResult;
}

</script>
EOF

cat <<EOF
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
EOF

if [ -z "$action" ]; then
cat <<EOF
  <tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
EOF
else
  case $action in
     Set+Gain)
       RESULT=`/usr/bin/aisg_command -l`
       ;;     
  esac



fi

cat <<EOF
  <tr id="title">
    <th colspan=4>
EOF

    typetable -f Antenna -n $name -N -H -M

cat << EOF
    </th>
    <tr>
      <td id="rightside">
      <div class="box">
        <table>
EOF

    typetable -f Antenna -n $name -N -M -g

cat <<EOF
          <tr> <td>&nbsp;</td></tr>
          <tr>
            <td colspan="6" align=center>
                <input name="btnClose" type="button" id="btnClose" value="Close" onclick="parent.location='/cgi-bin/index.cgi?class=TMA'">
            </td>
          </tr>
        </table>
      </div>
      </td>
    </tr>
  </tbody>
</table>
EOF

if [ -z "$logOper" ]; then
    cat menubar.html
else 
  if [ "$logOper" = "10" ]; then
    cat menubar_admin.html
  else
    cat menubar_oper.html
  fi
fi

if [ -z "$action" ]; then
  echo >>/dev/null
else
cat << EOF
    <div class="box">
      <table cellspacing="0">
        <tbody>
          <tr>
            <td><label>Command Response: </label></td>
          </tr>
          <tr>
            <table>
            <tr>
            <td>
            <IFRAME WIDTH=100% HEIGHT=75px ALIGN="top" NAME=workerhog SRC>
            </IFRAME>
            </td>
            </tr>
            </table>
            </div>
          </tr>
        </tbody>
      </table>
    </div>

<script language=javascript>
    workerhog.document.open();
    workerhog.document.write("$RESULT");
    workerhog.document.close();
</script>
EOF
fi

cat <<EOF
</body>
</html>
EOF

