#!/bin/sh

. /www/cgi-bin/cgiComFuncs.sh
. /www/cgi-bin/cgiSysFuncs.sh

RF=`physmem r 0xf0003ff8 | cut -d ' ' -f 8 | sed "s/.$//"`
if [ "$RF" = "0xdead0000" ]; then
	# Started up without RS485 power
	STATUS=`ascu_db_trans -db Error.db -f "	POWER_STATUS" | cut -f 1`
	setstat -d 0 -s $STATUS
	#echo 2,$$ >>/var/run/Status.set
fi
qt physmem w 0xf0003ff8 0x00000000
BF=`physmem r 0xf0003ff0 | cut -d ' ' -f 8 | sed "s/.$//"`
if [ "$BF" = "0xcafebabe" ]; then
	#Boot flag is good
	BC=`physmem r 0xf0003ff4 | cut -d ' ' -f 8 | sed "s/.$//"`
	syslock boot 127.0.0.1
	flash_util -b $BC > /var/log/backup
	unlock boot
	qt physmem w 0xf0003ff0 0xdeadbeef
else
	echo "Boot flag corrupted" > /var/log/backup
fi

