#!/bin/sh

ARGC=1
. ./getargs.sh
. ./cgiComFuncs.sh
. ./cgiDevFuncs.sh

if [ "$action" != "Command" ]; then
   export CMD_RESULT=`/usr/bin/aisg_command -l -b "<tr><td>" -e "</td></tr>" -s "</td><td>"`
fi

RELOAD=""
if [ -n "$HTTP_USER_AGENT" ]; then
	MSIE=`echo $HTTP_USER_AGENT | sed -n "/MSIE/p"`
	if [ -n "$MSIE" ]; then
		RELOAD="TiltWindow.location.reload(true);"
	fi
fi
VFORM="function displayData()
{
	var reqURL = \"\";
	reqURL = \"confirmtilt.cgi?\";
	with (document.forms[0])
	{
		reqURL = reqURL + \"name=\" + name.value;
		reqURL = reqURL + \"&subset=\" + subset.value;
	}
	TiltWindow = window.open (reqURL,\"tilt\",\"height=220,width=400,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no\");
	TiltWindow.focus();
	$RELOAD
}"
export VFORM

BACKLINK="/cgi-bin/status.cgi?subset=$subset"
./header.sh "Device Communication"


cat <<EOF
<table border=0 cellspacing=0 cellpadding=0 width=680 align=center summary="">
	<tr>
		<td valign=top>
			<table border=0 cellspacing=0 cellpadding=4 width=100 height=480 summary="Main menu">
				<tr>
					<td bgcolor=#6699CC nowrap><a href="/cgi-bin/index.cgi" class=menu>Main Page</a></td>
				</tr>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="/cgi-bin/oldindex.cgi" class=menu>Old Main Page</a></td>
				</tr>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/status.cgi?subset=Device">&#149;&nbsp;Antenna Devices</A>
					</TD>
				</TR>                
				<tr>
					<td bgcolor=#6699CC nowrap><a href="$BACKLINK" class=menu>&nbsp;&nbsp;&#150;&nbsp;$subset View</a></td>
				</tr>
				<TR>
					<TD bgColor=#012fcb noWrap>
						<A class=menu href="/cgi-bin/device.cgi?action=$action&subset=$subset&name=$name">&nbsp;&nbsp;&#151;&nbsp;$action</A>
					</TD>
				</TR>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="sdd.cgi?ftype=Antenna&action=Command&subset=$subset&name=$name" class=menu>&nbsp;&nbsp;&#151;&nbsp;Set Data [Antenna]</a></td>
				</tr>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="sdd.cgi?ftype=TMA&action=Command&subset=$subset&name=$name" class=menu>&nbsp;&nbsp;&#151;&nbsp;Set Data [TMA]</a></td>
				</tr>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="sdd.cgi?ftype=Operator&action=Command&subset=$subset&name=$name" class=menu>&nbsp;&nbsp;&#151;&nbsp;Set Data [Operator]</a></td>
				</tr>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/system.cgi">&#149;&nbsp;Controller</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC height="100%">
						<PRE> </PRE>
					</TD>
				</TR>
			</table>
		</td>
		<td align=center width=12></td>
		<td valign=top align=left>
EOF

NAME=`xlate $name`
if [ "$subset" = "Device" ]; then
	if [ "$name" = "All" ]; then
		BANNER="$subset $name"
	else
		BANNER="$subset `devname $name`"
	fi
else
	BANNER="$subset $NAME"
fi

if [ "$action" = "Show+Statistics" ]; then
		devtable -s $subset -n "$NAME"
else

		cat <<-EOF
        <table border=0 width=530 cellspacing=0 cellpadding=0>
        		<tr><td align=center >Command $BANNER</td></tr>
        		</table>
        		<hr>
		EOF
        cmdmenu -s $subset -n "$NAME"  
		cat <<-EOF
		<hr>
		<table border=0 cellspacing=0 cellpadding=4>
		<form  action="/cgi-bin/device.cgi" method=GET>
		<tr>
			<td>&nbsp</td>
			<td align=center>Data Field:</td>
		</tr>
		<tr>
			<td><input type=submit name="action" value="Get Device Data" class=button style="width: 110px"> </td>
			<td>`typetable`</td>
			<td>&nbsp</td>
		</tr>
		<input type=hidden name="command" value="15">
		<input type=hidden name="subset" value="$subset">
		<input type=hidden name="name" value="$NAME">
		</form></table>
		<hr>
		EOF

	
	if [ "$action" != "Command" ]; then
		cat <<-EOF
			<table border=0 cellspacing=0 cellpadding=0>
				<tr>
					<td><H3>AISG Command</H3></td>
				</tr>
			</table>
			<table border=2 cellspacing=0 cellpadding=4>
			<tr>
				<td><H4>Device</H4></td><td><H4>Command</H4></td><td colspan=10><H4>Result</H4></td>
			</tr>
        `echo $CMD_RESULT`
			</table>
		EOF
        if [ "$action" = "Get+Device+Data" ]; then
            if [ "$id" = "1" ]; then
           cat <<-EOF
           Note: Antenna model numbers reported are in AISG Appendix D format and may be abbreviated
from catalog part numbers.
EOF
            fi
        fi
#		if [ "$command" = "51" -o "$command" = "52" ]; then
#			export QUERY_STRING="action=Get+Queue+Depth"
#			QD=`aisg_command | cut -f 4`
#			echo "Queue depth = $QD"
#		fi
		echo "<hr>"
	fi
fi
cat <<EOF
		</td>
	</tr>
</table>
</body>
</html>
EOF
