#!/bin/sh
ascu_db_trans -db Handle.db | cut -f 2 | sed "/^\$/d;s/^/\//;s/\$/\$\/d/" > /tmp/pattern.$$
if [ -n `head -n 1 /tmp/pattern.$$` ]; then
	DEFUNCT=`ascu_db_trans -db Sector.db -s , | sed -f /tmp/pattern.$$`
	if [ -n "$DEFUNCT" ]; then
		for DEV in $DEFUNCT ; do
			ascu_db_trans -db Sector.db -s , -k 2 -f "$DEV"
			echo "Removed $DEV from Sector DB"
		done
	fi
fi
rm /tmp/pattern.$$
