#!/bin/sh

ARGC=1
. ./getargs.sh
. ./cgiComFuncs.sh
. ./cgiDevFuncs.sh

cat <<EOF
Content-type: text/html
Expires: Wed, 21 Aug 1968 00:01:00 GMT

<html>
<head>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<title>Upgrade Progress</title>
<link rel=stylesheet href="/ascu.css" type="text/css">
</head>
<body>
<h3>Upgrade Progress</h3>
Waiting for command to begin...<br>
<script type="text/javascript">
    opener.document.getElementById("menubar").disabled = true;
</script>
EOF
	if [ "$action" = "Manage+Device+Firmware" ]; then
		FLAGFILE=/tmp/fmwupg
		if [ -e "$FLAGFILE" ]; then
			exit
		fi
		trap 'rm $FLAGFILE' EXIT
		echo "AD" > "$FLAGFILE"
		FAIL="Firmware installation was unsuccessful"
		if [ -z "$url" ]; then
			echo "A valid URL for the file must be provided <br>"
		else
			URL1=`echo $url | sed "s/%3A/:/g;s/%2F/\//g"`
			URL=`echo $URL1 | sed "s/ftp:\/\///"`
			file=`basename $URL`
			if [ -n "$username" ]; then
				USER="$username:$password@"
			else
				USER=""
			fi
			RESULT=`wget -O /var/ascu/$file -q ftp://$USER$URL 2>&1`
			if [ $? = 1 ]; then
				echo "Unable to access ftp://$URL" '<br>'
			else
				echo "File installed.<br>"
				export QUERY_STRING="action=Update+Device+Status&name=1"
				/usr/bin/aisg_command
			fi
		fi
	fi

cat <<EOF
<br>
EOF
sleep 2
cat<<EOF
<script type="text/javascript">
    opener.workerhog.document.open();
    opener.workerhog.document.write("File upload finished!<BR>");
    opener.workerhog.document.close();
    opener.document.getElementById("menubar").disabled = false;
    opener.menus[0].disabled = true;
    opener.menus[1].disabled = true;
    opener.menus[2].disabled = true;
    opener.menus[3].disabled = true;
    opener.location.reload(true);
</script>
<input type=button value="Close Window" onClick="window.close(this)" class=button style="width: 110px"><br>
</body>
</html>
    
