#!/bin/sh
. ./getargs.sh
./header2.sh "Controller Configuration"


# START for password feature
. ./login.sh
LogInLogic
GetOperatorName
# END for password feature

if [ -z "$name" ]; then
  name=1
fi

cat <<EOF
<script language="JavaScript">

function processKey()
{
    if (document.manualnav.serialnumber.value.length > 0)
    {
        document.getElementById("id1").disabled = false;
    }
    else {
        document.getElementById("id1").disabled = true;
    }
}

function delayProcessKey()
{
   setTimeout('processKey()',5)
}

function doSelectChange(newLoc)
{
    newAddr = newLoc.options[newLoc.selectedIndex].value;

    if (newAddr != ""){
       window.location.href = "/cgi-bin/atc300ManualAddress.cgi?name=" + newAddr;
    }
    
}

function removeDevice()
{
	var reqURL = "";
	reqURL = "atc300ManualAddressExe.cgi?action=Remove+Device&name=" + document.manualnav.name.value;
	ScanWindow = window.open (reqURL,"scan","height=475,width=375,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,top=100,left=100,screenX=100,screenY=100");
	ScanWindow.focus();
}
function addDevice()
{
	var reqURL = "";
	var re = /[^A-Z]/g
	reqURL = "atc300ManualAddressExe.cgi?action=Configure+Device&command=1&name=" + document.manualnav.address.value;
	reqURL = reqURL + "&vendor="       + document.manualnav.vendorcode.value;
	reqURL = reqURL + "&serial=" + document.manualnav.serialnumber.value;
	reqURL = reqURL + "&aisg=" + document.manualnav.version.value;
    if (document.manualnav.handle.value.length > 0)
    	reqURL = reqURL + "&handle=" + document.manualnav.handle.value;
    else
    	reqURL = reqURL + "&handle=" + document.manualnav.vendorcode.value + document.manualnav.serialnumber.value;

    if ((re.test(document.manualnav.vendorcode.value)) || 
        (document.manualnav.vendorcode.value.length != 2))
    {
            alert("Vendor code must be 2 upper-case letters.");
    }
    else if ((document.manualnav.vendorcode.value == "AN") &&
        (document.manualnav.serialnumber.value.length != 17))
        {
            alert("Andrew serial numbers should be 17 characters. Add leading zeros.");
        }
    else
    {    
    	ScanWindow = window.open (reqURL,"scan","height=475,width=375,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,top=100,left=100,screenX=100,screenY=100");
    	ScanWindow.focus();
    }
}
function renameDevice()
{
	var reqURL = "";
	reqURL = "atc300ManualAddressExe.cgi?action=Rename+Device&name=" + document.manualnav.address.value;
	reqURL = reqURL + "&handle=" + document.manualnav.handle.value;
	ScanWindow = window.open (reqURL,"scan","height=475,width=375,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,top=100,left=100,screenX=100,screenY=100");
	ScanWindow.focus();
}

function removeAllDevices()
{
	var reqURL = "";
   if (false==confirm("Are you sure you want to remove all devices?"))
      return false;
   reqURL = "atc300ManualAddressExe2.cgi?action=Remove+All+Devices&name=" + document.manualnav.address.value;
  	reqURL = reqURL + "&handle=" + document.manualnav.handle.value;
  	ScanWindow = window.open (reqURL,"scan","height=475,width=375,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,top=100,left=100,screenX=100,screenY=100");
  	ScanWindow.focus();
}

function removeMissingDevices()
{
	var reqURL = "";

   reqURL = "atc300ManualAddressExe2.cgi?action=Remove+Missing+Devices&name=" + document.manualnav.address.value;
   reqURL = reqURL + "&handle=" + document.manualnav.handle.value;
   ScanWindow = window.open (reqURL,"scan","height=475,width=375,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,top=100,left=100,screenX=100,screenY=100");
   ScanWindow.focus();
}

function aisg2Reset()
{
	var reqURL = "";
   if (false==confirm("Are you sure you want to broadcast an AISG 2.0 Reset to all devices on the bus?"))
      return false;
   reqURL = "atc300ManualAddressExe.cgi?action=AISG+2+Reset&name=" + document.manualnav.address.value;
   reqURL = reqURL + "&handle=" + document.manualnav.handle.value;
   ScanWindow = window.open (reqURL,"scan","height=475,width=375,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,top=100,left=100,screenX=100,screenY=100");
   ScanWindow.focus();
}

function aisg2Revert()
{
	var reqURL = "";
   if (false==confirm("Are you sure you want to revert Andrew dual-mode devices to AISG 1.1?"))
      return false;
   reqURL = "atc300ManualAddressExe.cgi?action=AISG+2+Revert&name=" + document.manualnav.address.value;
   reqURL = reqURL + "&handle=" + document.manualnav.handle.value;
   ScanWindow = window.open (reqURL,"scan","height=475,width=375,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,top=100,left=100,screenX=100,screenY=100");
   ScanWindow.focus();
}

function aitmToMultiSingleRET()
{
	var reqURL = "";
   if (false==confirm("Are you sure you want to set all Andrew AITM devices to multiple-single RET mode?"))
      return false;
   reqURL = "atc300ManualAddressExe.cgi?action=AITM+To+MultiSingleRET&name=" + document.manualnav.address.value;
   reqURL = reqURL + "&handle=" + document.manualnav.handle.value;
   ScanWindow = window.open (reqURL,"scan","height=475,width=375,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,top=100,left=100,screenX=100,screenY=100");
   ScanWindow.focus();
}

function aitmToMultiRET()
{
	var reqURL = "";
   if (false==confirm("Are you sure you want to set all Andrew AITM devices to multiRET mode?"))
      return false;
   reqURL = "atc300ManualAddressExe.cgi?action=AITM+To+MultiRET&name=" + document.manualnav.address.value;
   reqURL = reqURL + "&handle=" + document.manualnav.handle.value;
   ScanWindow = window.open (reqURL,"scan","height=475,width=375,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no,top=100,left=100,screenX=100,screenY=100");
   ScanWindow.focus();
}

</script>

EOF
if [ -z "$logOper" ] || [ "$logOper" = "10" ]; then
cat << EOF

<table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0" id="content" >
<tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
  <tr id="title">
    <th colspan=4>
<label><span class="style1">Bus Configuration</span></label>
        &nbsp;
    </th>
   <tr>
    <td><div class="form_2">
      <fieldset>
EOF

if [ -z "$navigate" ]; then
/usr/bin/devtable -M -s Device -n $name
else
/usr/bin/devtable -M -s Device -n $name -a $navigate
fi

cat << EOF
    <div class="box">
      <table cellspacing="0" width="100%">
        <tbody>
          <tr>
            <td><label>Command Response: </label></td>
          </tr>
          <tr>
            <table>
            <tr>
            <td>
            <IFRAME WIDTH=100% HEIGHT=75px ALIGN="top" NAME="workerhog">
            </IFRAME>
            </td>
            </tr>
            </table>
            </div>
          </tr>
        </tbody>
      </table>
      <table width="100%">
          <tr> <td>&nbsp;</td></tr>
          <tr>
            <td align=center>
                <input name="btnClose" type="button" id="btnClose" value="Close" onclick="parent.location='/cgi-bin/index.cgi'">
            </td>
          </tr>
      </table>
EOF

if [ -z "$logOper" ]; then
    cat menubar.html
else 
  if [ "$logOper" = "10" ]; then
    cat menubar_admin.html
  fi
fi

else
cat menubar_oper.html
echo Feature is unavailable for this operator.
cat <<EOF
          <tr> <td>&nbsp;</td></tr>
          <tr>
            <td align=center>
                <input name="btnClose" type="button" id="btnClose" value="Close" onclick="parent.location='/cgi-bin/index.cgi'">
            </td>
          </tr>
EOF
fi
cat <<EOF
</body>
</html>
EOF

if [ -z "$logOper" ]; then
    cat menubar.html
else 
  if [ "$logOper" = "10" ]; then
    cat menubar_admin.html
  else
    cat menubar_oper.html
  fi
fi
