#!/bin/sh
. ./cgiComFuncs.sh
ARGC=1
. ./getargs.sh
NAME=`ascu_db_trans -db Handle.db -f $name | cut -f 2`

cat <<EOF
Content-type: text/html
Expires: Wed, 21 Aug 1968 00:01:00 GMT

<html>
<head>
<title>Movement for $NAME</title>
<link rel=stylesheet href="/ascu.css" type="text/css">
</head>
<body>
<h3>Axis Change Progress</h3>
Sending command...<br>
EOF
rm -f /tmp/$name.tilt
   RESULT=`/usr/bin/aisg_command -a -l -b " " -e " " -s "&nbsp;"` 
   export SETCODE=$?

if [ "$SETCODE" = "0" ]; then
cat << EOF
<script type="text/javascript">
    opener.workerhog.document.open();
    opener.workerhog.document.write("$RESULT<br>Waiting for actuator to reach position. ");
    opener.workerhog.document.close();
</script>
EOF

  echo -n Changing to $tilt degrees. '<br>'
  echo 'Estimated progress:<br>'
  echo '<IMG ID="gnarf" SRC="/prog0.gif"><br>'
  sleep 2
  export QUERY_STRING="action=Get+Queue+Depth"
  DEPTH=0
  QD=1
  while [ $QD != 0 ]; do
	echo -n "&nbsp;"
	QD=`aisg_command | cut -f 4`
    if [ -f "/tmp/$name.prog" ]; then
        export PROGRESS=`cat /tmp/$name.prog`
        cat <<EOF
<script language=JAVASCRIPT>
 gnarf.src = "/$PROGRESS"
 </script>
EOF
        rm /tmp/$name.prog
    fi    
  done
# Get tilt
if [ "$command" = "51" ]; then
  export QUERY_STRING="subset=$subset&name=$name&command=52"
else
    if [ "$command" = "161" ]; then
      export QUERY_STRING="subset=$subset&name=$name&command=162"
    else
      export QUERY_STRING="subset=$subset&name=$name&command=165"
    fi
fi

  SECONDRESULT=`/usr/bin/aisg_command -l -b " " -e " " -s "&nbsp;"`
sleep 2
if [ -f "/tmp/$name.tilt" ]; then
  echo '&nbsp;<br>'
  cat /tmp/$name.tilt
  if [ "$PROGRESS" = "progjam.gif" ]; then
cat << EOF
  <BR>&nbsp;<BR>
  <script type="text/javascript">
    opener.location.reload(true);
  </script>
EOF
  else
cat << EOF
  <BR>&nbsp;<BR>
  <script type="text/javascript">
    gnarf.src = "/prog100.gif";
    opener.location.reload(true);
  </script>
EOF
  fi
fi

else
cat << EOF
<script type="text/javascript">
    opener.workerhog.document.open();
    opener.workerhog.document.write("$RESULT<br>Command failed. ");
    opener.workerhog.document.close();
    opener.location.reload(true);
</script>
  &nbsp;Movement failed.<br> $RESULT<br>
  <BR>&nbsp;<BR>
EOF
  cat << EOF
EOF
fi

cat <<EOF
  <input type=button value="Close Window" onClick="window.close(this)" class=button style="width: 110px"><br>
  </body>
  </html>
EOF

