#!/bin/sh

	case $action in
		Set+Operator+Info)
# 			Remove the operator-specific alarm history logs
			rm /www/AlarmLog1_*.txt >/dev/null 2>&1
			rm /www/AlarmLog2_*.txt >/dev/null 2>&1
			rm /www/AlarmLog3_*.txt >/dev/null 2>&1
# 			Remove the operator-specific current alarm logs
			rm /www/CurrentAlarms_*.txt >/dev/null 2>&1
# 			We want the operator/password pairs to be in order
			if [ -f /var/ascu/Opname.db ]; then
				rm /var/ascu/Opname.db
			fi
			if [ -n "$opname_1" -a -n "$oppassword_1" ]; then
#				PasswordHash=`echo $oppassword_1 | /usr/bin/md5sum | /usr/bin/cut -d \  -f1`
#				ascu_db_trans -db Opname.db -f 1 -w "1	$opname_1	$PasswordHash"
				ascu_db_trans -db Opname.db -f 1 -w "1	$opname_1	$oppassword_1"
			else
				ascu_db_trans -db Opname.db -f 1 -w "1		"
			fi
			if [ -n "$opname_2" -a -n "$oppassword_2" ]; then
#				PasswordHash=`echo $oppassword_2 | /usr/bin/md5sum | /usr/bin/cut -d \  -f1`
#				ascu_db_trans -db Opname.db -f 2 -w "2	$opname_2	$PasswordHash"
				ascu_db_trans -db Opname.db -f 2 -w "2	$opname_2	$oppassword_2"
			else
				ascu_db_trans -db Opname.db -f 2 -w "2		"
			fi
			if [ -n "$opname_3" -a -n "$oppassword_3" ]; then
#				PasswordHash=`echo $oppassword_3 | /usr/bin/md5sum | /usr/bin/cut -d \  -f1`
#				ascu_db_trans -db Opname.db -f 3 -w "3	$opname_3	$PasswordHash"
				ascu_db_trans -db Opname.db -f 3 -w "3	$opname_3	$oppassword_3"
			else
				ascu_db_trans -db Opname.db -f 3 -w "3		"
			fi
			if [ -n "$opname_4" -a -n "$oppassword_4" ]; then
#				PasswordHash=`echo $oppassword_4 | /usr/bin/md5sum | /usr/bin/cut -d \  -f1`
#				ascu_db_trans -db Opname.db -f 4 -w "4	$opname_4	$PasswordHash"
				ascu_db_trans -db Opname.db -f 4 -w "4	$opname_4	$oppassword_4"
			else
				ascu_db_trans -db Opname.db -f 4 -w "4		"
			fi
			;;
	esac


