#!/bin/sh
. ./getargs.sh
. ./cgiComFuncs.sh
. ./cgiSysFuncs.sh
./header2.sh "SNMP Configuration"

# START for password feature
. ./login.sh
LogInLogic
GetOperatorName
# END for password feature

. ./login.sh
LogInLogic
GetOperatorName
if [ -z "$logOper" ] || [ "$logOper" = "10" ]; then

if [ -f "/sbin/snmpd_wrapper.sh" ]; then

if [ -z "$action" ]; then
    echo >>/dev/null
else
    if [ "$action" = "Factory+Defaults" ]; then
        export RESULT=`snmpcfg c /var/ascu/snmpd2.conf`
        export RESULT2=`snmpcfg x /var/ascu/snmpd2.conf`        
    else

        export RESULT=`snmpcfg p /var/ascu/snmpd2.conf`
        export RESULT2=`snmpcfg x /var/ascu/snmpd2.conf`
    fi
fi
cat <<EOF

<script language="JavaScript">

function validateAgentForm(form)
{
    return true;
}

function validateTrapForm(form)
{
    return true;
}

function validateFactoryForm(form)
{
        if (confirm("This will erase all settings for the agent.  Is that OK?") == false)
          return false;
        else if (confirm("Are you sure?  This cannot be automatically reversed.") == false)
          return false;
        return true;
}
</script>


<table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0" id="content" >
<tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
EOF
    snmpcfg f /var/ascu/snmpd2.conf
cat << EOF

</table>
EOF
else
echo    No SNMP agent present on this system.
fi
if [ -z "$logOper" ]; then
    cat menubar.html
else 
  if [ "$logOper" = "10" ]; then
    cat menubar_admin.html
  else
    cat menubar_oper.html
  fi
fi
cat << EOF
    <div class="box">
      <table cellspacing="0" width="100%">
        <tbody>
          <tr>
            <td><label>Command Response: </label></td>
          </tr>
          <tr>
            <table>
            <tr>
            <td>
            <IFRAME WIDTH=100% HEIGHT=75px ALIGN="top" NAME=workerhog SRC>
            </IFRAME>
            </td>
            </tr>
            </table>
            </div>
          </tr>
        </tbody>
      </table>
      <table width="100%">
          <tr> <td>&nbsp;</td></tr>
          <tr>
            <td align=center>
                <input name="btnClose" type="button" id="btnClose" value="Close" onclick="parent.location='/cgi-bin/index.cgi'">
            </td>
          </tr>
      </table>
EOF


if [ -z "$action" ]; then
  echo >>/dev/null
else
cat << EOF
<script language=Javascript>
    workerhog.document.open();
    workerhog.document.write("$RESULT");
    workerhog.document.close();

</script>
EOF
fi

cat <<EOF
</body>
</html>
EOF
else
echo Feature is unavailable for this operator.
cat <<EOF
          <tr> <td>&nbsp;</td></tr>
          <tr>
            <td align=center>
                <input name="btnClose" type="button" id="btnClose" value="Close" onclick="parent.location='/cgi-bin/index.cgi'">
            </td>
          </tr>
EOF
fi
cat << EOF

