#!/bin/sh

./header2.sh "$subset Status"

# START for password feature
. ./login.sh
LogInLogic
GetOperatorName
# END for password feature

ARGC=1
. ./getargs.sh

echo "<gnop>"
case $action in
   Set+Device+Data)
     if [ "$vendor" = "AN" -a "$accuret" = "" ]; then
        if [ "$smartbeam" = "" -a "$iet" = "" ]; then
          TEMP3=`/usr/bin/aisg_command -a -3 -l -b " " -e " " -s "&nbsp;"`
          TEMP3=$TEMP3"<br>"
        else
          TEMP3=`/usr/bin/aisg_command -a -S -l -b " " -e " " -s "&nbsp;"`
          TEMP3=$TEMP3"<br>"
        fi
     fi
     TEMP0=`/usr/bin/aisg_command -a -0 -l -b " " -e " " -s "&nbsp;"`
     TEMP0=$TEMP0"<br>"
     TEMP=`/usr/bin/aisg_command -a -1 -l -b " " -e " " -s "&nbsp;"`
     TEMP=$TEMP"<br>"
     TEMP2=`/usr/bin/aisg_command -a -2 -l -b " " -e " " -s "&nbsp;"`
     TEMP2=$TEMP2"<br>"

     if [ -z "$doCalibrate" ]; then
        TEMP4=''
     else
        echo 'Calibration in progress<br>'
        TEMP4=`sh ./atc300retcalibrate.cgi $name`
        echo $TEMP4
     fi
   ;;
esac

echo "<gnorp>"


cat << EOF

<script language="JavaScript">

function validForm2(form)
{
var bResult = true;
var version = document.getElementById("AISGversion");
var elemIn1 = document.getElementById("in1");
var elemIn2 = document.getElementById("in2");
var elemIn3 = document.getElementById("in3");
var elemIn4 = document.getElementById("in4");
var elemIn5 = document.getElementById("in5");
var elemIn6 = document.getElementById("in6");
var elemIn7 = document.getElementById("in7");
var elemIn8 = document.getElementById("in8");
var elemIn9 = document.getElementById("in9");
var elemIn10 = document.getElementById("in10");
var list_antmodsel  = document.getElementById("antmodsel");
var blanksrch= /^ *$/;

if (elemIn8 != null && elemIn8.value.length == 0)
{
        alert("Enter a Minimum Position");
	bResult = false;
}

if (bResult && elemIn9 != null && elemIn9.value.length == 0)
{
        alert("Enter a Maximum Position");
	bResult = false;
}

if (bResult && elemIn1 != null && elemIn1.value.length > 17)
{
        alert("Antenna serial number cannot exceed 17 characters.");
	bResult = false;
}

if (bResult && elemIn10 != null)
{
	if ((version.value < 2) && ( elemIn10.value.length > 4))
    	{
            alert("Sector cannot exceed 4 characters.");
            bResult = false;
	}
	else if ( elemIn10.value.length > 32)
    	{
            alert("Sector cannot exceed 32 characters.");
            bResult = false;
    	}
	else if ((elemIn10.value.length == 1) && ((elemIn10.value) >= "0") && ((elemIn10.value) <= "7"))
    	{
	    elemIn10.value=elemIn10.value+" ";
	}
	if (blanksrch.test(elemIn10.value))
	{
	    elemIn10.value="";
	}

	if ( elemIn10.value.length == 0)
    	{
            alert("A Sector value is required.");
            bResult = false;
    	}
}

if (bResult && elemIn2 != null)
{
	if (blanksrch.test(elemIn2.value))
	{
	    elemIn2.value="-0.1";
	}
	else if ((version.value < 2) && 
	    (isNaN(parseFloat(elemIn2.value)) ||
	     parseFloat(elemIn2.value) > 12.7 || parseFloat(elemIn2.value) < -12.8))
	{
		alert("Mechanical tilt must be between -12.8 and 12.7.");
		bResult = false;
	}
	else if ((isNaN(parseFloat(elemIn2.value))) ||
	    (parseFloat(elemIn2.value) > 180.0 || parseFloat(elemIn2.value) < -180.0))
	{
		alert("Mechanical tilt must be between -180.0 and 180.0.");
		bResult = false;
	}
}

if (bResult && elemIn3 != null)
{
   if (blanksrch.test(elemIn3.value))
   {
      elemIn3.value="";
   }
	else if (isNaN(parseFloat(elemIn3.value)) ||
	    parseFloat(elemIn3.value) < 0 || parseFloat(elemIn3.value) > 360)
	{
        	alert("Bearing must be between 0 and 360.");
		bResult = false;
	}
}

if (bResult && elemIn4 != null)
{
	if ((version.value < 2) && ( elemIn4.value.length > 12))
	{
            alert("Base Station ID cannot exceed 12 characters.");
	    bResult = false;
	}
	else if ( elemIn4.value.length > 32)
	{
            alert("Base Station ID cannot exceed 32 characters.");
	    bResult = false;
	}

    if (blanksrch.test(elemIn4.value))
    {
       elemIn4.value="";
    }
}

if (bResult && elemIn5 != null)
    {
   if (blanksrch.test(elemIn5.value))
   {
      elemIn5.value="";
   }
   else if (isNaN(parseFloat(elemIn5.value)) ||
	    (parseFloat(elemIn5.value) < 0) || (parseFloat(elemIn5.value) > 999))
        {
            alert("Height must be between 0 and 999.");
            bResult = false;
        }
    }

if (bResult && elemIn6 != null)
{
	if ( elemIn6.value.length > 6)
	{
            alert("Installation Date cannot exceed 6 characters.");
	    bResult = false;
	}
}

if (bResult && elemIn7 != null)
{
    if ( elemIn7.value.length > 5) 
    {
        alert("Installer ID cannot exceed 5 characters.");
	bResult = false;
    }
}

if (bResult && list_antmodsel.options[list_antmodsel.selectedIndex].value=="NONE")
{
  alert("Select Antenna Model");
  bResult = false;
}

return bResult;
}
</script>	

<script language="JavaScript">

function validForm(form)
{
}

function processKey()
{
}

function AntModelSelChange(selectObj)
{
    var choseOption = selectObj.options[selectObj.selectedIndex];
    var elemMin, elemMax;
    if (choseOption.MinT != null && choseOption.MaxT != null)
    {
        elemMin = document.getElementById("7.1"); //minimum tilt on the page
        elemMax = document.getElementById("6.1"); //maximum tilt on the page
        if (elemMin != null)
            elemMin.value = (choseOption.MinT/10.0).toFixed(1);
        if (elemMax != null)
            elemMax.value = (choseOption.MaxT/10.0).toFixed(1);        
    }
    
}
</script>

<table width="100%"  border="0" cellspacing="0" cellpadding="0">
  <tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
  <tr><td>&nbsp;</td></tr>
  <tr id="title">
    <th colspan=4>
EOF
    typetable -f Antenna -n $name -N -H
cat <<EOF    
        &nbsp;
    </th>
  </tr>

  <form  action="/cgi-bin/atc300retcfg.cgi" name="modret" method=GET onsubmit="return validForm2(this)">

<input type=hidden name="command" value="14">
<input type=hidden name="subset" value="$subset">
<input type=hidden name="name" value="$name">

  <tr>
    <td id="rightside"><div class="box">
        <table>
EOF

    typetable -f Antenna -n $name -N
        
cat << EOF
        <tr><td>&nbsp;<td></tr>
          <tr>
            <td colspan=9 align=center>* Denotes required field</td>
          </tr>
        <tr><td>&nbsp;<td></tr>
          <tr>
            <td align=center colspan=9>
                <input name="action" type=submit id="action" value="Set Device Data" ></td>
          </tr>
        </table>
    </div></td>
  </tr>
  </form>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
</table>
EOF

if [ -z "$logOper" ]; then
    cat menubar.html
else 
  if [ "$logOper" = "10" ]; then
    cat menubar_admin.html
  else
    cat menubar_oper.html
  fi
fi
case $action in
   Set+Device+Data)

cat << EOF
    <div class="box">
      <table cellspacing="0">
        <tbody>
          <tr>
            <td><label>Command Response: </label></td>
          </tr>
          <tr>
            <table>
            <tr>
            <td>
            <IFRAME WIDTH=100% HEIGHT=75px ALIGN="top" NAME=workerhog SRC>
            </IFRAME>
            </td>
            </tr>
            </table>
            </div>
          </tr>
        </tbody>
      </table>
    </div>

<script language=javascript>
    workerhog.document.open();
    workerhog.document.write("$TEMP3$TEMP0$TEMP$TEMP2");
    workerhog.document.close();
</script>
EOF
   
   ;;
esac


cat <<EOF
      <table width="100%">
          <tr>
            <td align=center>
                <input name="btnClose" type="button" id="btnClose" value="Close" onclick="parent.location='/cgi-bin/index.cgi'">
            </td>
          </tr>
      </table>
</body>
</html>
EOF


