#! /bin/sh
ATC300DIR=~/projects/atc300-aisg2.0/ascu300
EXPORTDIR=/home/release/projects/export
FWDIR=/home/release/projects/AN_device_firmware
cp -lf $ATC300DIR/bin/* .
cp -lf $FWDIR/* .
sudo cp -lf $EXPORTDIR/etc/thttpd.conf .
sudo cp -lf $EXPORTDIR/etc/udhcpc/default.script .
sudo cp -lf $EXPORTDIR/etc/inittab .
sudo cp -lf $EXPORTDIR/etc/passwd .
sudo cp -lf $EXPORTDIR/etc/passwd- .
sudo cp -lf $EXPORTDIR/var/ascu/roots .
sudo cp -lf $EXPORTDIR/var/ascu/Error.db .
sudo cp -lf $EXPORTDIR/var/ascu/CSDirty.txt .
sudo cp -lf $EXPORTDIR/var/ascu/root.tag .
sudo cp -lf $EXPORTDIR/usr/sbin/thttpd_wrapper .
sudo cp -lf $EXPORTDIR/usr/bin/aisg_mgr_wrapper.sh .
sudo cp -lf $EXPORTDIR/usr/bin/alarm_mgr_wrapper.sh .
cp -lf $ATC300DIR/src/utils/backup.sh .
cp -lf $ATC300DIR/src/utils/configure.sh .
cp -lf $ATC300DIR/src/utils/debug.sh .
cp -lf $ATC300DIR/src/utils/delall.sh .
cp -lf $ATC300DIR/src/utils/executeonce.sh .
cp -lf $ATC300DIR/src/utils/fastboot.sh .
cp -lf $ATC300DIR/src/utils/makecache.sh .
cp -lf $ATC300DIR/src/utils/nokiaserial.sh .
cp -lf $ATC300DIR/src/utils/readupm.sh .
cp -lf $ATC300DIR/src/utils/test.sh .
cp -lf $ATC300DIR/src/utils/tester.sh .
cp -lf $ATC300DIR/src/utils/housekeeper.sh .
cp -lf $ATC300DIR/src/utils/swupdate.sh .
cp -lf $ATC300DIR/src/utils/snmpdnld .
cp -lf $ATC300DIR/src/utils/saveroot.sh .
cp -lf $ATC300DIR/factory/swupdate.cmd .
sudo cp -lf /home/release/projects/net-snmp-5.2_atc300/arm/agent/snmpd .
sudo cp -lf $EXPORTDIR/sbin/snmpd_wrapper.sh .
cp -lf $ATC300DIR/src/web_interface/* .
cp -lf $ATC300DIR/src/web_interface/cgi-bin/*.sh .
cp -lf $ATC300DIR/src/web_interface/cgi-bin/*.html .
cp -lf $ATC300DIR/src/web_interface/cgi-bin/*.js .
cp -lf $ATC300DIR/src/web_interface/cgi-bin/*.jss .
cp -lf $ATC300DIR/src/web_interface/cgi-bin/*.cgi .
cp -lf $ATC300DIR/src/web_interface/cgi-bin/*.css .
cp -lf $ATC300DIR/src/web_interface/cgi-bin/*.jar .
cp -lf $ATC300DIR/src/web_interface/cgi-bin/images/*.png .
#
sudo chmod 755 *
sudo chmod 644 thttpd.conf
sudo chmod 644 roots
sudo chmod 644 root.tag
sudo chmod 644 ypSlideOutMenusC.js
sudo chmod 644 *.html
sudo chmod 644 *.css
sudo chmod 644 *.gif
sudo chmod 644 *.jpg
sudo chmod 644 test.cgi
sudo chmod 644 UploadControl.*
sudo chmod 644 *.jar
sudo chmod 644 ftpclient.js
sudo chmod 644 *.png

cp -lf $ATC300DIR/configs/snmpd2.conf .
sudo cp -lf /home/release/projects/thttpd-2.23beta1_orig/thttpd .
cp -lf $ATC300DIR/src/ssppic/ssppic.o .
#
cp -lf $ATC300DIR/configs/linuxrc-Andrew .
cp -lf $ATC300DIR/configs/rc.ret1 .
#
sudo chmod 644 snmpd2.conf
sudo chmod 755 rc.ret1
sudo chmod 755 thttpd
cp -lf $ATC300DIR/factory/atc300_test.sh .
cp -lf $ATC300DIR/factory/atc300_tilt.sh .
cp -lf $ATC300DIR/factory/atc300_power.sh .
sudo cp -lf $ATC300DIR/factory/pictestapp .
sudo chmod 755 atc300_test.sh
sudo chmod 755 atc300_tilt.sh
sudo chmod 755 atc300_power.sh
sudo chmod 755 pictestapp

#samba stuff
cp -lf $ATC300DIR/samba/* .

rm -f swupdate.md5
md5sum * > swupdate.md5
rm "../atc300_$(cat version).tar"
tar cf "../atc300_$(cat version).tar" *
echo "atc300_$(cat version).tar"
