#!/bin/sh

RELOAD=""
if [ -n "$HTTP_USER_AGENT" ]; then
	MSIE=`echo $HTTP_USER_AGENT | sed -n "/MSIE/p"`
	if [ -n "$MSIE" ]; then
		RELOAD="ScanWindow.location.reload(true);"
	fi
fi
VFORM="function displayData()
{
	var reqURL = \"\";
	reqURL = \"confirmscan.cgi?\";
	ScanWindow = window.open (reqURL,\"scan\",\"height=475,width=375,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no\");
	ScanWindow.focus();
	$RELOAD
}"
#	TiltWindow.location.reload(true);
#	window.open (reqURL,"tilt",config='height=120,width=300,toolbar="no",menubar="no",scrollbars=yes,resizable=yes,location="no",directories="no",status="no"')
export VFORM

BACKLINK=$HTTP_REFERER
ARGC=1
. ./getargs.sh
. ./cgiComFuncs.sh
. ./cgiSysFuncs.sh
. ./cgiDevFuncs.sh

SCAN=`ascu_db_trans -db Site.db -f 12 | cut -f 2`
if [ -z "$action" ]; then
	RESULT=""
else
	case $action in
		Set+Scan+Mode)
			case $scan in
				Auto-scan)
					RESULT="Bus scan mode set to automatic"
					SCAN=1
					;;
				Manual-scan)
					RESULT="Bus scan mode set to manual"
					SCAN=0
					;;
				esac
				ascu_db_trans -db Site.db -f 12 -w "12	$SCAN"
				qt /usr/bin/aisg_command
			;;
		Send+One+Shot+Scan)
				RESULT="AISG device scan command sent"
                
				qt /usr/bin/aisg_command
			;;
	esac
fi
if [ -z "$SCAN" ]; then
	AUTO="checked"
	SINGLE=""
else
	case $SCAN in
		0)
			AUTO="checked"
			SINGLE=""
			;;
		1)
			AUTO=""
			SINGLE="checked"
			;;
	esac
fi
./header.sh "Find Devices"

cat <<EOF
<table border=0 cellspacing=0 cellpadding=0 width=680 align=center summary="">
	<tr>
		<td valign=top>
			<table border=0 cellspacing=0 cellpadding=4 width=100 height=480 summary="Main menu">
				<tr>
					<td bgcolor=#6699CC nowrap><a href="/cgi-bin/index.cgi" class=menu>Main Page</a></td>
				</tr>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="/cgi-bin/oldindex.cgi" class=menu>Old Main Page</a></td>
				</tr>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/status.cgi?subset=Device">&#149;&nbsp;Antenna Devices</A>
					</TD>
				</TR>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="status.cgi?subset=Device" class=menu>&nbsp;&nbsp;&#150;&nbsp;Device View</a></td>
				</tr>
				<tr>
					<td bgcolor=#012fcb nowrap><a href="finddev.cgi" class=menu>&nbsp;&nbsp;&#151;&nbsp;Find Devices</a></td>
				</tr>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="addsub.cgi?subset=Sector" class=menu>&nbsp;&nbsp;&#150;&nbsp;Sector View</a></td>
				</tr>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/system.cgi">&#149;&nbsp;Controller</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC height="100%">
					<PRE> </PRE>
					</TD>
				</TR>
			</table>
		</td>
		<td align=center width=12></td>
		<td valign=top align=left>
			<form  action="/cgi-bin/finddev.cgi" method=GET>
				<table border=0 cellspacing=0 cellpadding=4>
					<tr>                    
						<td colspan=5><H3>AISG Device Scan </H3>
                        Use the button below to begin a device scan to search for missing devices.<br>&nbsp;<br>
                        <input type=submit name="action" value="Send One Shot Scan"  onClick="displayData()" class=button style="width: 200px">
                        <br>&nbsp;<br>
                        </td>
					</tr>
				</table>
                <hr>
				<table border=0 cellspacing=0 cellpadding=4>
					<tr>
						<td colspan=5><H3>XML Interface AISG Device Scan Mode </H3>
                        Use the selection below to control whether the XML interface performs a
                        device scan automatically wheneven an eta_getCommissionData method is invoked.<br>&nbsp;<br>
                        </td>
					</tr>
					<tr>
                        </td>
					    <td>No&nbsp;<input type="radio" NAME="scan" VALUE="Manual-scan" $AUTO>
						<td>Yes&nbsp;<input type="radio" NAME="scan" VALUE="Auto-scan" $SINGLE></td>
                        <td><input type=submit name="action" value="Set Scan Mode" class=button style="width: 110px"> </td>
                    </tr>
                </table>
			</form>
			<hr>
			<table border=0 cellspacing=0 cellpadding=4>
				<tr>
					<td>$RESULT</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</body>
</html>
EOF
