#!/bin/sh
# header.sh Title
date=`date -u '+%a, %d %b %Y %H:%M:%S %Z'`
case $TARGET in
	NOKIA)
		TITLE="Andrew RET1 ASCU $1"
		BANNER="RET1 Antenna System Control Unit"
		;;
	ANDREW)
		TITLE="Andrew RET ASC $1"
		BANNER="Antenna System Controller"
		;;
esac
cat << EOF
Content-type: text/html
Expires: Wed, 21 Aug 1968 00:01:00 GMT

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<head>
	<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
	<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
	<META HTTP-EQUIV="EXPIRES" CONTENT="0">
	$META
	<title>$TITLE</title>
	<link rel=stylesheet href="/ascu.css" type="text/css">
EOF

if [ ! -z "$VFORM" ]; then
	echo "<SCRIPT LANGUAGE="JavaScript"><!--"
	echo "$VFORM"
	cat /www/cgi-bin/jsfuncs.jss
	echo "// --></SCRIPT>"
fi
cat << EOF
</head>
<body bgcolor=white>
<TABLE align=center border=0 cellPadding=0 cellSpacing=0 width=680 summary="">
<TBODY>
	<TR>
		<TD align=left valign=center>
			<IMG align=left alt=Logo src="/logo_andrew.gif" valign="top">
		</TD>
		<TD align=middle width=20></TD>
		<TD align=middle width=20></TD>
		<TD align=left valign=bottom>
			<H2 align=right>$BANNER</H1>
		</TD>
	</TR>
	<TR><TD>&nbsp</TD></TR>
</TBODY>
</TABLE>
EOF
