#!/bin/sh
# header.sh Title
date=`date -u '+%a, %d %b %Y %H:%M:%S %Z'`
TARGET=`ascu_db_trans -db Site.db -f 8 | cut -f 2`
export TARGET

TITLE="ATC300 Controller"

cat << EOF
Content-type: text/html
Expires: Wed, 21 Aug 1968 00:01:00 GMT
<html>
<head>
	<META HTTP-EQUIV="CACHE-CONTROL" CONTENT="NO-CACHE">
	<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
	<META HTTP-EQUIV="EXPIRES" CONTENT="0">
	$META
  <title>$TITLE</title>
	<link rel=stylesheet href="/atc300Style.css" type="text/css">
<SCRIPT language=javascript src="/ypSlideOutMenusC.js"></SCRIPT>

<SCRIPT language=javascript>
	window.history.forward(1);
	var menus = [
		new ypSlideOutMenu("menu1", "down", 315, 58, 100, 59),
		new ypSlideOutMenu("menu2", "down", 90, 58, 130, 90),
		new ypSlideOutMenu("menu3", "down", 222, 58, 120, 97),
		new ypSlideOutMenu("menu4", "down", 305, 58, 140, 90)
	]

	for (var i = 0; i < menus.length; i++) {
		menus[i].onactivate = new Function("document.getElementById('act" + i + "').className='active';");
		menus[i].ondeactivate = new Function("document.getElementById('act" + i + "').className='';");
	}

  ypSlideOutMenu.writeCSS();

</SCRIPT>
</head>
<body>
<div class="box" id="siteBar"><table width="100%" bgcolor="#99CCFF">
  <tr>
EOF
cat <<EOF
    <td align=right><img src="/atc300-1000.jpg" width="150" height="51">
EOF
cat <<EOF
  <img src="/logo_andrew.gif" width="150" height="51"></td>
EOF
cat <<EOF
  </tr>
</table></div>

EOF

