#!/bin/sh
. ./cgiComFuncs.sh
./header.sh
    if [ -f /tmp/nocachegen ]; then
    else
    	. /usr/bin/makecache.sh
    fi
UTIME=`uptime | cut -d ',' -f 1 | sed "s/^.....//"`
STATUS=`setstat -d 0 -g | head -n 1`
IMAGE="../ASCU2.jpg"
ISTI="Service Time"
if [ "$TARGET" = "NOKIA" ]; then
        SERIAL=`ascu_db_trans -db Site.db -f 2 | cut -f 2`
		IMAGE="../ASCU1.jpg"
		ISTI="In Service Time"
		NEWSER=`nokiaserial.sh $SERIAL`
		if [ -n "$NEWSER" ]; then
			SERIAL="$NEWSER"
		fi
fi
cat <<EOF
<TABLE align=center border=0 cellPadding=0 cellSpacing=0 width=680 summary="">
<TBODY>
	<TR>
		<TD vAlign=top>
			<TABLE border=0 cellPadding=4 cellSpacing=0 height=420 width=100 summary="Main menu">
			<TBODY>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="/cgi-bin/index.cgi" class=menu>Main Page</a></td>
				</tr>
				<tr>
					<td bgcolor=#012fcb nowrap><a href="/cgi-bin/oldindex.cgi" class=menu>Old Main Page</a></td>
				</tr>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/status.cgi?subset=Device">&#149;&nbsp;Antenna Devices</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/system.cgi">&#149;&nbsp;Controller</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC height="100%">
						<PRE> </PRE>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/help_index.html" target="_blank">Help</A>
					</TD>
				</TR>
			</TBODY>
			</TABLE>
		</TD>
		<TD align=middle width=12></TD>
		<TD align=left vAlign=top>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width=530 summary="">
			<TBODY>
				<TR>
					<TD>
						<TABLE width="100%" summary="">
						<TBODY>
							<TR>
								<td width=33%>&nbsp</td>
								<TD>
									<IMG align=center alt=Logo src=$IMAGE>
								</TD>
							</TR>
						</TBODY>
						</TABLE>
					</TD>
				</TR>
			</TBODY>
			</TABLE>
			<TABLE>
			<TBODY>
EOF
cat /tmp/status2.cache
cat <<EOF
				<tr>
					<td width=33%>&nbsp</td>
					<td>$UNIT Status:</td>
					<td>$STATUS</td>
				</tr>
				<tr>
					<td width=33%>&nbsp</td>
					<td>Uptime:</td>
					<td>$UTIME</td>
				</tr>
EOF

if [ -f /var/run/ISTI ]; then
	cat <<-EOF
				<tr>
					<td width=33%>&nbsp</td>
					<td>$ISTI:</td>
					<td>`cat /var/run/ISTI` Hours</td>
				</tr>
	EOF
fi
cat /tmp/status.cache
if [ -f /var/run/test.pid ]; then
	RES=`tail -n 1 /var/log/test`
	cat <<-EOF
				<tr>
					<td width=33%>&nbsp</td>
					<td>Test Status:</td>
					<td>`echo $RES | cut -d ',' -f 5`,`echo $RES | cut -d ',' -f 6`</td>
				</tr>
	EOF
fi
cat <<EOF 
			</TBODY>
			</TABLE>
		</TD>
	</TR>
</TBODY>
</TABLE>
</BODY>
</HTML>
EOF
