#!/bin/sh

#	TiltWindow.location.reload(true);
#	window.open (reqURL,"tilt",config='height=120,width=300,toolbar="no",menubar="no",scrollbars=yes,resizable=yes,location="no",directories="no",status="no"')
export VFORM

BACKLINK=$HTTP_REFERER
ARGC=1
. ./getargs.sh
. ./cgiComFuncs.sh
. ./cgiSysFuncs.sh
. ./cgiDevFuncs.sh

SCAN=`ascu_db_trans -db Site.db -f 12 | cut -f 2`
if [ -z "$action" ]; then
	RESULT=""
else
	case $action in
		Remove+Device)
			# Get the device name 1st!
			NAME=`devname $name`
			# Tell aisg_manager
			qt aisg_command
			# Databases with device# in 1st field
			LIST="Handle.db"
			for DB in $LIST ; do
				ascu_db_trans -db $DB -f "$name" -r
			done
			# Databases with device ID in last field
			LIST="Sector.db Group.db Band.db"
			for DB in $LIST ; do
				ascu_db_trans -db $DB -f "	$NAME" -r
			done
			RESULT="Device $name removed"
			;;
	esac
fi
./header.sh "Remove or Rename Device"

cat <<-EOF
<table border=0 cellspacing=0 cellpadding=0 width=680 align=center summary="">
	<tr>
		<td valign=top>
			<table border=0 cellspacing=0 cellpadding=4 width=100 height=480 summary="Main menu">
				<tr>
					<td bgcolor=#6699CC nowrap><a href="/cgi-bin/index.cgi" class=menu>Main Page</a></td>
				</tr>
				<tr>
					<td bgcolor=#6699CC nowrap><a href="/cgi-bin/oldindex.cgi" class=menu>Old Main Page</a></td>
				</tr>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/status.cgi?subset=Device">&#149;&nbsp;Antenna Devices</A>
					</TD>
				</TR>
				<tr>
					<td bgcolor=#012fcb nowrap><a href="rmdev.cgi" class=menu>&nbsp;&nbsp;&#150;&nbsp;Remove Device</a></td>
				</tr>
				<TR>
					<TD bgColor=#6699CC noWrap>
						<A class=menu href="/cgi-bin/system.cgi">&#149;&nbsp;Controller</A>
					</TD>
				</TR>
				<TR>
					<TD bgColor=#6699CC height="100%">
					<PRE> </PRE>
					</TD>
				</TR>
			</table>
		</td>
		<td align=center width=12></td>
		<td valign=top align=left>
			<hr>
			<table border=0 width=530 cellspacing=0 cellpadding=0 summary="">
				<tr>
					<td><H3>Manual Device Remove or Rename</H3>
                    Use this section to remove a device or to change the name by which it is known.
                    </td>
				</tr>
			</table>
			<form  action="/cgi-bin/rmdev.cgi" method=GET>
				<table border=0 cellspacing=0 cellpadding=4>
					<tr>
						<td><input type=submit name="action" value="Remove Device" class=button style="width: 110px"> </td>
						<td>
							<select name=name>
	EOF
    ascu_db_trans -db Handle.db -F '<option value=%d> %s </option>'
	cat <<-EOF
							</select>
						</td>
					</tr>
				</table>
			</form>
			<form  action="/cgi-bin/rmdev.cgi" method=GET>
				<table border=0 cellspacing=0 cellpadding=4>
					<tr>
						<td><input type=submit name="action" value="Rename Device" class=button style="width: 110px"> </td>
						<td>
							<select name=name>
	EOF
    ascu_db_trans -db Handle.db -F '<option value=%d> %s </option>'
	cat <<-EOF
							</select>
						</td>
						<td><input type="text" name=newname size="32" value=""></td>
					</tr>
				</table>
			</form>
			<hr>
			<table border=0 cellspacing=0 cellpadding=4>
				<tr>
					<td>$RESULT</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</body>
</html>
EOF
